extern void help_initialize(void);
extern int help_prepare(void);
extern void cx_help_link(void);
extern void cx_help_back(void);
extern void cx_help_main(void);
extern void cx_help_up(void);
extern void cx_help_down(void);

#define MAIN_LINKS	5	/* max number of generated links in the MAIN page */

#define HL_TEXT		 0		/* regular text */
#define HL_TEXTLINK	 1		/* text of a link (highlighted) */
#define HL_LINK		 2		/* data of a link */
#define HL_TITLE	 3		/* page title */
#define HL_PAGE		10 		/* start of a new page */
#define HL_VERSION	11		/* help data version */
#define HL_IGNORE	20		/* invalid input, ignored */
#define HL_END		99		/* last entry in use */

#define IS_HL_CONTENTS(X)	((X) < 10)	/* this item is part of a help page */
